Package org.picocontainer.injectors

# Class Injectors

java.lang.Object
org.picocontainer.injectors.Injectors

public class Injectors extends Object

## Constructor Summary

Constructors
Constructor
Description
`Injectors()`

## Method Summary

Modifier and Type
Method
Description
`static InjectionFactory`
`adaptiveDI()`
`static InjectionFactory`
`annotatedFieldDI()`
`static InjectionFactory`
`annotatedFieldDI(Class<? extends Annotation> injectionAnnotation)`
`static InjectionFactory`
`annotatedMethodDI()`
`static InjectionFactory`
`annotatedMethodDI(Class<? extends Annotation> injectionAnnotation)`
`static InjectionFactory`
`CDI()`
`static InjectionFactory`
`namedField()`
`static InjectionFactory`
`namedMethod()`
`static InjectionFactory`
`SDI()`
`static InjectionFactory`
`typedFieldDI()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Injectors

public Injectors()

## Method Details

### adaptiveDI

public static InjectionFactory adaptiveDI()

### SDI

public static InjectionFactory SDI()

### CDI

public static InjectionFactory CDI()

### namedMethod

public static InjectionFactory namedMethod()

### namedField

public static InjectionFactory namedField()

### annotatedMethodDI

public static InjectionFactory annotatedMethodDI(Class<? extends Annotation> injectionAnnotation)

### annotatedMethodDI

public static InjectionFactory annotatedMethodDI()

### annotatedFieldDI

public static InjectionFactory annotatedFieldDI(Class<? extends Annotation> injectionAnnotation)

### annotatedFieldDI

public static InjectionFactory annotatedFieldDI()

### typedFieldDI

public static InjectionFactory typedFieldDI()